slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPSetInterval

Defines the computational interval for spectrum slicing.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetInterval(PEP pep,PetscReal inta,PetscReal intb)

Logically Collective

### Input Parameters

| pep | - eigensolver context
| inta | - left end of the interval
| intb | - right end of the interval

### Options Database Key

| -pep_interval <a,b> | - set [a,b] as the interval of interest

### Notes

Spectrum slicing is a technique employed for computing all eigenvalues of symmetric eigenproblems in a given interval. This function provides the interval to be considered. It must be used in combination with PEP_ALL, see PEPSetWhichEigenpairs().

In the command-line option, two values must be provided. For an open interval, one can give an infinite, e.g., -pep_interval 1.0,inf or -pep_interval -inf,1.0. An open interval in the programmatic interface can be specified with PETSC_MAX_REAL and -PETSC_MAX_REAL.

### See Also

PEPGetInterval(), PEPSetWhichEigenpairs()

### Level

intermediate

### Location

src/pep/interface/pepbasic.c

### Examples

src/pep/tutorials/ex38.c
src/pep/tutorials/ex40.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages